FreeBSD : guile2 -- multiple vulnerabilities (b4ecf774-eb01-11e6-9ac1-a4badb2f4699)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

Ludovic Courtes reports :

The REPL server is vulnerable to the HTTP inter-protocol attack

The 'mkdir' procedure of GNU Guile, an implementation of the
Scheme programming language, temporarily changed the process' umask
to zero. During that time window, in a multithreaded application,
other threads could end up creating files with insecure permissions.

See also :

http://www.openwall.com/lists/oss-security/2016/10/11/1
http://www.openwall.com/lists/oss-security/2016/10/12/2
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216663
http://www.nessus.org/u?31533005

Solution :

Update the affected package.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 96994 ()

Bugtraq ID:

CVE ID: CVE-2016-8605
CVE-2016-8606

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now